#include <bits/stdc++.h>

using namespace std;
#define int long long

const int e6 = 1000000;
vector<bool> prime(e6 + 1, true);
vector<int> primes;
vector<int> color(e6 + 1, -1);

void find_primes() {
    prime[1] = false;
    prime[2] = true;

    for (int i = 2; i <= e6; ++i) {
        for (int j = i * i; j <= e6; j += i) {
            prime[j] = false;
        }
    }
    for (int i = 2; i <= e6; ++i) {
        if (prime[i]) {
            primes.push_back(i);
        }
    }

}

void dfs(int i, int colorToDye) {
    if (color[i] != 0 || i == 0)
        return;

    color[i] = colorToDye;
    colorToDye = 3 - colorToDye;

    for (auto p : primes) {
        if (i % p == 0 && color[i / p] != -1) {
            dfs(i / p, colorToDye);
        }
    }

    for (int j = i; j <= e6 + 1; j += i) {
        if (color[j] != -1 && prime[j / i]) {
            dfs(j, colorToDye);
        }
    }
}

void solve() {
    find_primes();

    int n;
    cin >> n;
    vector<int> a(n);
    for (int i = 0; i < n; ++i) {
        cin >> a[i];
        color[a[i]] = 0;
    }

    for (auto i : a) {
        dfs(i, 1);
    }
    //dfs(a[0], 1);

    for (int i = 0; i < n; ++i) {
        cout << color[a[i]] << " ";
    }
}

signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    solve();
    return 0;
}

/*
4
1 2 3 4


1
20
 */